/[gentoo-x86]/eclass/java-utils-2.eclass
Gentoo

Diff of /eclass/java-utils-2.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.140 Revision 1.141
4# Copyright (c) 2004, Karl Trygve Kalleberg <karltk@gentoo.org> 4# Copyright (c) 2004, Karl Trygve Kalleberg <karltk@gentoo.org>
5# Copyright (c) 2004-2005, Gentoo Foundation 5# Copyright (c) 2004-2005, Gentoo Foundation
6# 6#
7# Licensed under the GNU General Public License, v2 7# Licensed under the GNU General Public License, v2
8# 8#
9# $Header: /var/cvsroot/gentoo-x86/eclass/java-utils-2.eclass,v 1.140 2011/04/07 18:05:40 serkan Exp $ 9# $Header: /var/cvsroot/gentoo-x86/eclass/java-utils-2.eclass,v 1.141 2011/07/08 11:35:01 ssuominen Exp $
10 10
11# ----------------------------------------------------------------------------- 11# -----------------------------------------------------------------------------
12# @eclass-begin 12# @eclass-begin
13# @eclass-shortdesc Java Utility eclass 13# @eclass-shortdesc Java Utility eclass
14# @eclass-maintainer java@gentoo.org 14# @eclass-maintainer java@gentoo.org
61# 61#
62# The version of portage we need to function properly. Previously it was 62# The version of portage we need to function properly. Previously it was
63# portage with phase hooks support but now we use a version with proper env 63# portage with phase hooks support but now we use a version with proper env
64# saving. For EAPI 2 we have new enough stuff so let's have cleaner deps. 64# saving. For EAPI 2 we have new enough stuff so let's have cleaner deps.
65# ----------------------------------------------------------------------------- 65# -----------------------------------------------------------------------------
66hasq "${EAPI}" 0 1 && JAVA_PKG_PORTAGE_DEP=">=sys-apps/portage-2.1.2.7" 66has "${EAPI}" 0 1 && JAVA_PKG_PORTAGE_DEP=">=sys-apps/portage-2.1.2.7"
67 67
68# ----------------------------------------------------------------------------- 68# -----------------------------------------------------------------------------
69# @variable-internal JAVA_PKG_E_DEPEND 69# @variable-internal JAVA_PKG_E_DEPEND
70# 70#
71# This is a convience variable to be used from the other java eclasses. This is 71# This is a convience variable to be used from the other java eclasses. This is
72# the version of java-config we want to use. Usually the latest stable version 72# the version of java-config we want to use. Usually the latest stable version
73# so that ebuilds can use new features without depending on specific versions. 73# so that ebuilds can use new features without depending on specific versions.
74# ----------------------------------------------------------------------------- 74# -----------------------------------------------------------------------------
75JAVA_PKG_E_DEPEND=">=dev-java/java-config-2.1.9-r1 ${JAVA_PKG_PORTAGE_DEP}" 75JAVA_PKG_E_DEPEND=">=dev-java/java-config-2.1.9-r1 ${JAVA_PKG_PORTAGE_DEP}"
76hasq source ${JAVA_PKG_IUSE} && JAVA_PKG_E_DEPEND="${JAVA_PKG_E_DEPEND} source? ( app-arch/zip )" 76has source ${JAVA_PKG_IUSE} && JAVA_PKG_E_DEPEND="${JAVA_PKG_E_DEPEND} source? ( app-arch/zip )"
77 77
78# ----------------------------------------------------------------------------- 78# -----------------------------------------------------------------------------
79# @variable-preinherit JAVA_PKG_WANT_BOOTCLASSPATH 79# @variable-preinherit JAVA_PKG_WANT_BOOTCLASSPATH
80# 80#
81# The version of bootclasspath the package needs to work. Translates to a proper 81# The version of bootclasspath the package needs to work. Translates to a proper
1556java-pkg_get-current-vm() { 1556java-pkg_get-current-vm() {
1557 echo ${GENTOO_VM} 1557 echo ${GENTOO_VM}
1558} 1558}
1559 1559
1560java-pkg_current-vm-matches() { 1560java-pkg_current-vm-matches() {
1561 hasq $(java-pkg_get-current-vm) ${@} 1561 has $(java-pkg_get-current-vm) ${@}
1562 return $? 1562 return $?
1563} 1563}
1564 1564
1565# ------------------------------------------------------------------------------ 1565# ------------------------------------------------------------------------------
1566# @ebuild-function java-pkg_get-source 1566# @ebuild-function java-pkg_get-source
1681 die "No GCJ support found!" 1681 die "No GCJ support found!"
1682 fi 1682 fi
1683} 1683}
1684 1684
1685java-pkg_ensure-test() { 1685java-pkg_ensure-test() {
1686 if hasq test ${FEATURES} && ! hasq -test ${FEATURES} \ 1686 if has test ${FEATURES} && ! has -test ${FEATURES} \
1687 && hasq test ${IUSE} && ! use test; 1687 && has test ${IUSE} && ! use test;
1688 then 1688 then
1689 eerror "You specified FEATURES=test, but USE=test is needed" 1689 eerror "You specified FEATURES=test, but USE=test is needed"
1690 eerror "to pull in the additional dependencies for testing" 1690 eerror "to pull in the additional dependencies for testing"
1691 die "Need USE=test enabled" 1691 die "Need USE=test enabled"
1692 fi 1692 fi
1922 if [[ ${EBUILD_PHASE} = compile ]]; then 1922 if [[ ${EBUILD_PHASE} = compile ]]; then
1923 java-ant-2_src_configure 1923 java-ant-2_src_configure
1924 java-utils-2_src_prepare 1924 java-utils-2_src_prepare
1925 fi 1925 fi
1926 1926
1927 if ! hasq java-ant-2 ${INHERITED}; then 1927 if ! has java-ant-2 ${INHERITED}; then
1928 local msg="You should inherit java-ant-2 when using eant" 1928 local msg="You should inherit java-ant-2 when using eant"
1929 java-pkg_announce-qa-violation "${msg}" 1929 java-pkg_announce-qa-violation "${msg}"
1930 fi 1930 fi
1931 1931
1932 local antflags="-Dnoget=true -Dmaven.mode.offline=true -Dbuild.sysclasspath=ignore" 1932 local antflags="-Dnoget=true -Dmaven.mode.offline=true -Dbuild.sysclasspath=ignore"
2642# 2642#
2643# Enhanced die for Java packages, which displays some information that may be 2643# Enhanced die for Java packages, which displays some information that may be
2644# useful for debugging bugs on bugzilla. 2644# useful for debugging bugs on bugzilla.
2645# ------------------------------------------------------------------------------ 2645# ------------------------------------------------------------------------------
2646#register_die_hook java-pkg_die 2646#register_die_hook java-pkg_die
2647if ! hasq java-pkg_die ${EBUILD_DEATH_HOOKS}; then 2647if ! has java-pkg_die ${EBUILD_DEATH_HOOKS}; then
2648 EBUILD_DEATH_HOOKS="${EBUILD_DEATH_HOOKS} java-pkg_die" 2648 EBUILD_DEATH_HOOKS="${EBUILD_DEATH_HOOKS} java-pkg_die"
2649fi 2649fi
2650 2650
2651java-pkg_die() { 2651java-pkg_die() {
2652 echo "!!! When you file a bug report, please include the following information:" >&2 2652 echo "!!! When you file a bug report, please include the following information:" >&2
2788 java-pkg_announce-qa-violation "installing versioned jar '${jar}'" 2788 java-pkg_announce-qa-violation "installing versioned jar '${jar}'"
2789 fi 2789 fi
2790} 2790}
2791 2791
2792java-pkg_check-jikes() { 2792java-pkg_check-jikes() {
2793 if hasq jikes ${IUSE}; then 2793 if has jikes ${IUSE}; then
2794 java-pkg_announce-qa-violation "deprecated USE flag 'jikes' in IUSE" 2794 java-pkg_announce-qa-violation "deprecated USE flag 'jikes' in IUSE"
2795 fi 2795 fi
2796} 2796}
2797 2797
2798java-pkg_announce-qa-violation() { 2798java-pkg_announce-qa-violation() {

Legend:
Removed from v.1.140  
changed lines
  Added in v.1.141

  ViewVC Help
Powered by ViewVC 1.1.20